Bug 834944 - [patch] fix OSGI manifests
Summary: [patch] fix OSGI manifests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: axis
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerard Ryan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 834956 834970 835283
TreeView+ depends on / blocked
 
Reported: 2012-06-25 00:01 UTC by Gerard Ryan
Modified: 2012-07-05 23:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-05 23:35:24 UTC
Type: Bug


Attachments (Terms of Use)
Fix-existing-OSGI-manifests-inject-new-manifest-into-axis-ant.jar (5.86 KB, patch)
2012-06-25 00:01 UTC, Gerard Ryan
no flags Details | Diff
Fix for empty osgi() being generated as requires (1.66 KB, patch)
2012-06-26 16:02 UTC, Gerard Ryan
no flags Details | Diff

Description Gerard Ryan 2012-06-25 00:01:52 UTC
Created attachment 594072 [details]
Fix-existing-OSGI-manifests-inject-new-manifest-into-axis-ant.jar

Fix existing OSGI manifests, inject new manifest into axis-ant.jar
    
    The axis-MANIFEST.MF file that gets added to axis.jar, was taken
    from an eclipse plugin (org.apache.axis_*.jar), which bundles the
    two jars axis.jar and axis-ant.jar into a lib/ directory. The manifest
    therefore didn't work fully in this situation, when added as an orbit
    dependency to an eclipse plugin that required classes from axis-ant:
    it would expect to find them in axis.jar, then fail to compile.
    
    The manifest for axis-ant is based on extractions from that previous
    manifest.
    
    The bundle version in xmlrpc-MANIFEST.MF and saaj-MANIFEST.MF were a
    little problematic for reasons unknown to me. They appear to work
    better without the .qualifier. The Bundle-Classpaths have also been
    removed, for similar reaasons to axis-MANIFEST.MF.

Comment 1 Marek Goldmann 2012-06-25 11:42:29 UTC
Sounds good for me, pushed. I added zip to BR, because the build failed without it.

Thanks!

Comment 2 Fedora Update System 2012-06-25 11:53:47 UTC
axis-1.4-15.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/axis-1.4-15.fc17

Comment 3 Fedora Update System 2012-06-26 00:35:09 UTC
Package axis-1.4-15.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing axis-1.4-15.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9851/axis-1.4-15.fc17
then log in and leave karma (feedback).

Comment 4 Gerard Ryan 2012-06-26 16:02:57 UTC
Created attachment 594526 [details]
Fix for empty osgi() being generated as requires

>axis has broken dependencies in the rawhide tree:
>On x86_64:
>axis-1.4-15.fc18.noarch requires osgi()
>On i386:
>axis-1.4-15.fc18.noarch requires osgi()
>Please resolve this as soon as possible.


There was a stray comma at the end of the Require-Bundle section of the manifest in axis.jar that was causing that problem. This patch fixes it.

I checked that it's fixed in a scratch build here: http://koji.fedoraproject.org/koji/taskinfo?taskID=4197479

Comment 5 Fedora Update System 2012-06-27 06:31:22 UTC
axis-1.4-16.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/axis-1.4-16.fc17

Comment 6 Fedora Update System 2012-06-28 03:42:10 UTC
Package axis-1.4-16.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing axis-1.4-16.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10018/axis-1.4-16.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-07-05 23:35:24 UTC
axis-1.4-16.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.